import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { ContextChartService } from '../../chart.service';
import { ScaleType } from '../../utils';
export declare class XAxisComponent implements OnInit, OnDestroy {
    private readonly context;
    private readonly cdr;
    title: string;
    tickCount: number;
    align: 'low' | 'middle' | 'high';
    labelOffsetX: number;
    labelOffsetY: number;
    dateTimeLabelFormats: string;
    rotation: number;
    scaleType: ScaleType;
    translation: boolean;
    axisLabelFormats: string;
    get view(): import("../../types").ChartView;
    transform: string;
    private readonly destroy$$;
    constructor(context: ContextChartService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
